TONTONDocs
TON CenterNominator Pools API

Get nominator bookings

Get nominator bookings (debits and credits) in a specified pool.

GET
/getNominatorBookings

Query Parameters

nominator*Nominator

The nominator address.

pool*Pool

Pool address to get bookings in.

limit?|

Limit from bottom.

Default100
from_time?|

Unixtime of the first booking.

to_time?|

Unixtime of the last booking.

Response Body

application/json

application/json

curl -X GET "https://example.com/getNominatorBookings?nominator=UQDTKO3a_hF6r_i_9RcLe5euCgMsfCkrrmBfS_ZdfUgoNiei&pool=Ef8OsrSEsBU_e9xPvgbNMjo700s1gqJSwvqnzM5tWv5CCGsX"
[
  {
    "utime": 0,
    "booking_type": "string",
    "debit": 0,
    "credit": 0
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Last updated on

On this page

No Headings